# -*- coding:UTF-8 -*-
#!/usr/bin/python

class FirstClass:
   '''My first class in python.'''
   str1 = 'Apple'

   def __init__(self, str1='參數1'):
      self.str1 = str1

   def fun(self):
      print(self.str1)
      return 'Hello world.'

my_obj = FirstClass()
print(my_obj.str1)
print('----------')
my_obj2 = FirstClass('我是參數1')
print(my_obj2.str1)
print('----------')
print(my_obj.__doc__)
print(my_obj.fun())
print(my_obj2.__doc__)
print(my_obj2.fun())

input('Press enter to continue......')
